Questions tagged [sqlite3]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
0
votes
0answers
22 views

Unable to install sqlite3 in ubuntu 18.04 [duplicate]

I am using Ubuntu 18.04 in windows subsystem for linux. I was trying to set up a ruby on rails project. But I encountered and error that sqlite3 is not found. I tried several answers online, nothing ...
2
votes
0answers
65 views

Thunderbird wont start. Crash reporter says sqlite version error

my Dad cant get thunderbird to start. This started after he got tired of the nag screens and updated ubuntu. He is now running ubuntu 20.04.1 and thunderbird 68.10.0 Whenever he types thunderbird at ...
0
votes
0answers
8 views

Error trying to install sqlite3 Ubuntu 18.04.4 LTS [duplicate]

~$ sudo apt-get update && sudo apt-get upgrade Hit:1 http://dl.google.com/linux/chrome/deb stable InRelease Hit:2 http://packages.microsoft.com/repos/vscode stable ...
1
vote
1answer
982 views

Using Json1 Extension with sqlite3

The docs says, that The json1 extension is a loadable extension for sqlite3, and the loadable extensions need to be compiled as shared libraries (source). I searched a lot and I don't know how to ...
8
votes
4answers
2k views

Is it possible to install SQLite 3.24+ on Ubuntu 18.04?

I am trying to update my SQLite version to 3.24 or above so that a Python app can make use of the new "UPSERT" queries. I have been trying for a few hours to do this with little success; it refuses to ...
0
votes
0answers
512 views

error when compiling sqlite

I received this error when compiling sqlite: Makefile:743: recipe for target 'alter.lo' failed make[4]: * [alter.lo] Error 1 CMakeFiles/external_sqlite.dir/build.make:113: recipe for target '...
0
votes
1answer
59 views

problem installing sqlite3 using apt-get install

Installation hangs at 4% completion due to a prompt requesting acceptance of Oracle's license agreement. No way to respond interactively.
2
votes
2answers
97 views

How do I invoke the sqlite3-doc package

I installed the package but can't figure out how to use/start it. What I'm am looking for is a interactive help/docs for sqlite3 I assumed that what this package does but I don't know how to start it. ...
1
vote
1answer
891 views

Installing qgis in ubuntu 18.04 error with sqlite tables, can no longer use apt

I'm getting the following error: $ sudo apt-get install grass grass-dev qgis python-qgis qgis-plugin-grass Reading package lists... Done Building dependency tree Reading state information... ...
4
votes
2answers
1k views

nautilus: symbol lookup error: /usr/lib/x86_64-linux-gnu/tracker-2.0/libtracker-data.so.0: undefined symbol: sqlite3_bind_pointer

I upgraded to Ubuntu 18.04 and I can't get Nautilus to work. I get the following error when I launch it from the command line: nautilus: symbol lookup error: /usr/lib/x86_64-linux-gnu/tracker-2.0/...
1
vote
2answers
1k views

I messed up ocamlfuse by using sudo command “Error: Sqlite3 error: READONLY”

I started using ocamlfuse to access google drive with Nautilus and it was functioning perfectly fine. The thing is, at some point I used, by accident, the sudo command, I'm not shure if it was to run ...
0
votes
1answer
660 views

Which sqlite database uses new Skype for Linux?

Skype for Linux version 4.3 stores data on ~/.Skype/<user>/main.db. I installed recently a new version 5.5.0.1 that changes completely its GUI. Note: I also tested Skype Insider version 8.x.x....
0
votes
0answers
790 views

import error of flask and sqlite3

I am currently running Ubuntu 17.04. The problem is that depending on the version of Python, the flask and the sqlite3 is functioning differently. Sqlite3 can be imported from python 3.4 but Flask ...
2
votes
1answer
22k views

Install Ubuntu package, php7.0-sqlite3 missing

Ubuntu with php7 Error occurs when trying to use SQLite3 from php: PHP Fatal error: Class 'SQLite3' not found in /var/www/html/index.php on line 1 I've tried to install php7.0-sqlite3 : $ sudo ...
0
votes
0answers
3k views

Error package 'sqlite3>=3.7.11' not found

I clone a project from github and run cmake, but I get the message: -- checking for module 'sqlite3>=3.7.11' -- package 'sqlite3>=3.7.11' not found CMake Error at /usr/share/cmake-2.8/Modules/...
2
votes
1answer
3k views

Install command line tool sqlite3

Trying to install sqlite3 command line tool with : sudo apt-get install sqlite3 libsqlite3-dev But I still can't run ./sqlite3 - nu souch file How to solve this problem?
28
votes
1answer
52k views

How to properly view a .sqlite file using sqlite?

I have installed the program sqlite in order to view file types with that extension, however even after reading its help documentation and its manpage, I am still confused about how I get it to show ...
0
votes
1answer
49 views

How do I re-enter a sqlite database that I already created?

I am using sqlite3 and created a new database in the terminal by using: sqlite3 test.db I then created some tables in this database but then I closed sqlite3. How can I re enter my test.db? Do I ...
26
votes
1answer
46k views

How to Exit sqlite3 in terminal

I have ran sqlite3 from terminal but have problem exiting it. this is how i have ran it: sqlite3 database.db i have tried CTRL+C but it wont exit, i have tried ESC, close(), exit() and it doesn't ...
5
votes
1answer
5k views

How do I install sqlite3 ODBC drivers with unixODBC?

According to the unixODBC drivers page (straight out of the 90s), I should download the SQLite3 drivers from: http://www.ch-werner.de/sqliteodbc The instructions for building sqliteodbc from the ...
6
votes
4answers
14k views

Can SQLite3 be upgraded on Ubuntu?

I would like to upgrade SQLite3 on my Ubuntu instance that is running version 3.8.2. The current release is 3.11.1.x. I wanted to know if there is any risk in doing so since SQLite3 is a core tool ...
0
votes
1answer
1k views

Unable to acess SQLite database in Ubuntu using PHP under Apache

I am having trouble using SQLite3 with PHP in Ubuntu but it works well with Windows. In Ubuntu I have installed the php-sqlite package and the SQLite database is made using SQLite3.
0
votes
2answers
7k views

Django and SQLite3 doesn't work

My problem is following, I'm starting with tutorial https://docs.djangoproject.com/en/1.8/intro/tutorial01/ , and after I type in terminal python manage.py runserver I'm getting an error: Traceback (...
0
votes
1answer
646 views

Was Installing Syncevolution, when I came across the following messages!

I was trying to build syncevoltion, and I came across the following error after ./configure checking for SQLITE3... configure: error: Package requirements (sqlite3) were not met: No package 'sqlite3'...
2
votes
1answer
4k views

SQLite >= 3.8.3 version on Ubuntu 14.04

Please, is there a simple way to install SQLite >= 3.8.3 on Ubuntu 14.04 LTS. By now, is impossible to do this via apt-get because only SQLite 3.8.2 it's available at the "Trusty" repositories. I need ...
3
votes
1answer
3k views

SQLite 3.8.8 in Ubuntu 14.04 via apt-get

How to install the SQLite 3.8.8 in Ubuntu 14.04 via apt-get? The default installation is for 3.8.2. Thanks, Christian
-1
votes
2answers
3k views

class SQLite3 not found

After struggling through a lot of pages and answers i am still unable to use sqlite with php. i am using fresh install of Ubuntu, Apache 2, SQLite3 and Php5. I am still getting class SQLite3 not ...
2
votes
1answer
523 views

Not able to include sqlite3 in c program

I installed libsqlite3-dev from ubuntu software center and after the installation, i found the sqlite3.h file in usr/include folder. There was no error in including that header file, but i am not able ...
1
vote
1answer
832 views

Custom compile sqlite as php so

In Compile sqlite with soundex feature I learned how to do a custom compile of sqlite. While this was a step towards my goal of using sqlite's soundex in a functional test, I find I'm not there yet. ...
0
votes
1answer
533 views

Compile sqlite with soundex feature

In 14.04 LTS: I'm trying to build a functional test of a Symfony application that uses the soundex() function in MySQL. The test environment uses sqlite, which by default does not compile its soundex(...
0
votes
1answer
332 views

sqlite3 - humongous dependency list?

$ sudo apt-get install sqliteman* sqlite3* gives me a display that includes this: ... Recommended packages: bacula-sd-mysql bacula-sd-tools cl-sql-backend ada-reference-manual gdb-minimal php-...